# Uses of Class
javax.security.auth.RefreshFailedException

Packages that use RefreshFailedException
Package
Description
javax.security.auth
This package provides a framework for authentication and authorization.
javax.security.auth.kerberos
This package contains utility classes related to the Kerberos network authentication protocol.

## Uses of RefreshFailedException in javax.security.auth

Methods in javax.security.auth that throw RefreshFailedException
Modifier and Type
Method
Description
`void`
Refreshable.`refresh()`
Update or extend the validity period for this `Object`.

## Uses of RefreshFailedException in javax.security.auth.kerberos

Methods in javax.security.auth.kerberos that throw RefreshFailedException
Modifier and Type
Method
Description
`void`
KerberosTicket.`refresh()`
Extends the validity period of this ticket.